http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/effectiveDeploymentsRetrieves a paginated list of deployment jobs that IoT Greengrass sends to Greengrass core devices.
The name of the core device. This is also the name of the IoT thing.
The maximum number of results to be returned per paginated request.
The token to be used for the next set of paginated results.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/effectiveDeployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/effectiveDeploymentsRetrieves a paginated list of deployment jobs that IoT Greengrass sends to Greengrass core devices.
The name of the core device. This is also the name of the IoT thing.
The maximum number of results to be returned per paginated request.
The token to be used for the next set of paginated results.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://greengrass.{region}.amazonaws.com/greengrass/v2/coreDevices/{coreDeviceThingName}/effectiveDeployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}